
import Api from '../../util/Api'
import ToolClass from '../../util/PublicMethod'
export default {
  namespaced: true,
  state: {
    StoreList: [], // 店铺列表
    PaiLie3Cart: [], // 排列3购物车
    PaiLie5Cart: [], // 排列5购物车
    DaLeTouCart: [], // 大乐透购物车
    ShuangSeQiuCart: [], // 双色球购物车
    UserInfo: null, // 用户信息
    UserOrderList: [ // 用户订单
      { createDate: '2020-08-14  15:10:20', dateNum: '202076期', type: '超级大乐透', typeId: 'dlt', amount: 2, id: 1, orderNum: 'TE202008140000146179970', status: '已撤单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 2, id: 2, orderNum: 'TE202008140000146179970', status: '已下单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 4, id: 3, orderNum: 'TE202008140000146179970', status: '已下单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 2, id: 4, orderNum: 'TE202008140000146179970', status: '已下单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 6, id: 5, orderNum: 'TE202008140000146179970', status: '已下单' },
      { createDate: '2020-08-13  17:23:54', dateNum: '202076期', type: '双色球', typeId: 'ssq', amount: 8, id: 6, orderNum: 'TE202008140000146179970', status: '已下单' }
    ],
    UserAccountDetails: { // 用户账户明细
      All: [
        { type: '充值', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '投注', id: '', createDate: '2020-08-15 12:00:00', amount: '-200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' }
      ],
      Pay: [ // 充值
        { type: '充值', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' }
      ],
      Bet: [ // 投注
        { type: '投注', id: '', createDate: '2020-08-15 12:00:00', amount: '-200' }
      ],
      SendPrize: [], // 派奖
      WithDraw: [ // 提现
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' },
        { type: '提现', id: '', createDate: '2020-08-15 12:00:00', amount: '+200' }
      ]
    }
  },
  mutations: {
    UpdateUserInfo (state, data) { // 更新用户信息
      state.UserInfo = data || null
    },
    AddDaLeTouCart (state, data) { // 新增大乐透购物车
      state.DaLeTouCart.unshift(data)
    },
    DeleteDaLeTouCart (state, data) { // 删除大乐透购物车
      state.DaLeTouCart.splice(data, 1)
    },
    EmptyDaLeTouCart (state, data) { // 清空大乐透购物车
      state.DaLeTouCart = []
    },
    AddShuangSeQiuCart (state, data) { // 新增双色球购物车
      state.ShuangSeQiuCart.unshift(data)
    },
    DeleteShuangSeQiuCart (state, data) { // 删除双色球购物车
      state.ShuangSeQiuCart.splice(data, 1)
    },
    EmptyShuangSeQiuCart (state, data) { // 清空双色球购物车
      state.ShuangSeQiuCart = []
    },
    AddPaiLie3Cart (state, data) { // 新增排列3购物车
      state.PaiLie3Cart.unshift(data)
    },
    DeletePaiLie3Cart (state, data) { // 删除排列3购物车
      state.PaiLie3Cart.splice(data, 1)
    },
    EmptyPaiLie3Cart (state, data) { // 清空排列3购物车
      state.PaiLie3Cart = []
    },
    AddPaiLie5Cart (state, data) { // 新增排列5购物车
      state.PaiLie5Cart.unshift(data)
    },
    DeletePaiLie5Cart (state, data) { // 删除排列5购物车
      state.PaiLie5Cart.splice(data, 1)
    },
    EmptyPaiLie5Cart (state, data) { // 清空排列5购物车
      state.PaiLie5Cart = []
    },
    UpdateStoreList (state, data) { // 更新店铺列表
      let Arr = data.nearest || []
      state.StoreList = []
      Arr.map((item) => {
        state.StoreList.push({ ...item, Active: false })
      })
    }
  },
  actions: {
    SignIn (context, payload) { // 登录
      return new Promise((resolve, reject) => {
        ToolClass.Axios(resolve, reject, Api.SignIn, context, payload, 1000, 'UpdateUserInfo')
      })
    },
    PostBetting (context, payload) { // 下注
      return new Promise((resolve, reject) => {
        ToolClass.Axios(resolve, reject, Api.PostBetting, context, payload, 1000)
      })
    },
    GetStoreList (context, payload) { // 获取店铺列表
      return new Promise((resolve, reject) => {
        ToolClass.Axios(resolve, reject, Api.GetStoreList, context, payload, 1000, 'UpdateStoreList')
      })
    }
  }
}
