
const prefix = process.env.NODE_ENV === 'production' ? '' : '/api'

const $api = {
  SignIn: { // 登录
    method: 'post',
    url: `${prefix}/app/login`
  },
  GetBanner: { // 获取banner
    method: 'get',
    url: `${prefix}/app/ad`
  },
  GetFootballKeys: { // 获取足彩相关字典
    method: 'get',
    url: `${prefix}/app/dict/football`
  },
  GetLotteryRes: { // 获取数字彩开奖结果列表
    method: 'get',
    url: `${prefix}/app/lottery/result`
  },
  GetNewstLotteryRes: { // 获取最新数字彩开奖结果列表（不区分数字彩彩种）
    method: 'get',
    url: `${prefix}/app/lottery/result/last`
  },
  GetAllLotteryType: { // 获取所有彩种类型
    method: 'get',
    url: `${prefix}/app/lottery`
  },
  PostBetting: { // 下注
    method: 'post',
    url: `${prefix}/app/:id/betting`
  },
  GetStoreList: { // 获取店铺列表
    method: 'get',
    url: `${prefix}/app/shop/available`
  }
}

export default $api
